#ifndef CARBRE_H_INCLUDED
#define CARBRE_H_INCLUDED

#include <irrlicht.h>
#include <cstdlib>
#include <ctime>

using namespace irr;

class CArbre
{
    public:

	CArbre(scene::ISceneManager*,video::IVideoDriver*);

	~CArbre();

	void SetPosition(core::vector3df);
	core::vector3df GetPosition();
    void DrawArbre();
    void DropArbre();
    core::stringc GetID();
    void SetID(core::stringc);

	private:

    core::vector3df position;

	scene::ISceneManager* smgr;
	video::IVideoDriver* driver;
	scene::IAnimatedMesh* meshArbre;
    scene::IMeshSceneNode* nodeArbre;
    video::SMaterial material;
};


#endif // CARBRE_H_INCLUDED
